# To avoid reinventing the wheel I'll just use omegaconf as it seems like a reliable library.
from omegaconf import OmegaConf
from pathlib import Path

# Path to the configuration file
configuration_file = "conf/configuration.yaml"


# Initialize configuration
# Make some tricks to point to the proper folder
dirname = Path(__file__).parent
configuration_path = dirname / configuration_file

configuration = OmegaConf.load(configuration_path)


